Skip to main content
POST
/
v1
/
emails
/
validate
/
all
Node.js SDK
import Migma from 'migma';

const migma = new Migma('YOUR_API_KEY');

const { data, error } = await migma.validation.all({
  html: '<html>...</html>',
  subject: 'My Email Subject'
});
{
  "success": true,
  "data": {
    "overallScore": 123,
    "compatibility": {},
    "linkAnalysis": {},
    "spelling": {},
    "deliverability": {},
    "summary": {
      "criticalIssues": 123,
      "warnings": 123,
      "passed": [
        "<string>"
      ],
      "failed": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → API Integration.

Body

application/json
html
string
required

Email HTML content to validate

subject
string

Email subject line

options
object

Response

All validations completed

success
boolean
data
object